import request from '@/utils/request'

export function shareRewardList(query) {
    return request({
        url: '/system/shareReward/list',
        method: 'get',
        params: query
    })
}
export function shareRewardSave(query) {
    return request({
        url: '/system/shareReward/save',
        method: 'post',
        data: query
    })
}
export function shareRewardEdit(query) {
    return request({
        url: '/system/shareReward/edit',
        method: 'post',
        data: query
    })
}
export function batchRemove(query) {
    return request({
        url: '/system/shareReward/batchRemove',
        method: 'post',
        data: query
    })
}
export function shareRewardDelete(query) {
    return request({
        url: '/system/shareReward/delete',
        method: 'post',
        data: query
    })
}
